Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class JavaUtils

    java.lang.Object
      org.apache.xml.security.utils.JavaUtils

    public class JavaUtils

extends java.lang.Object

A collection of different, general-purpose methods for JAVA-specific things

Author:
  Christian Geuer-Pollmann

Method Summary
`static byte[]` | `convertDsaASN1toXMLDSIG(byte[] asn1Bytes, int size)` Converts an ASN.1 DSA value to a XML Signature DSA Value.
`static byte[]` | `convertDsaXMLDSIGtoASN1(byte[] xmldsigBytes, int size)` Converts an XML Signature DSA Value to a ASN.1 DSA value.
`static byte[]` | `getBytesFromFile(java.lang.String fileName)` Method getBytesFromFile
`static byte[]` | `getBytesFromStream(java.io.InputStream inputStream)` This method reads all bytes from the given InputStream till EOF and returns them as a byte array.
`static void` | `writeBytesToFilename(java.lang.String filename, byte[] bytes)` Method writeBytesToFilename

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBytesFromFile

    public static byte[] getBytesFromFile(java.lang.String fileName)
                                   throws java.io.FileNotFoundException,
                                          java.io.IOException

  Method getBytesFromFile

  Parameters:
    `fileName` -
  Returns:
    the bytes read from the file
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### writeBytesToFilename

    public static void writeBytesToFilename(java.lang.String filename,
                                            byte[] bytes)

  Method writeBytesToFilename

  Parameters:
    `filename` -
    `bytes` -

### getBytesFromStream

    public static byte[] getBytesFromStream(java.io.InputStream inputStream)
                                     throws java.io.IOException

  This method reads all bytes from the given InputStream till EOF and returns them as a byte array.

  Parameters:
    `inputStream` -
  Returns:
    the bytes read from the stream
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### convertDsaASN1toXMLDSIG

    public static byte[] convertDsaASN1toXMLDSIG(byte[] asn1Bytes,
                                                 int size)
                                          throws java.io.IOException

  Converts an ASN.1 DSA value to a XML Signature DSA Value. The JCE DSA Signature algorithm creates ASN.1 encoded (r,s) value pairs (see section 2.2.2 of RFC 3279); the XML Signature requires the core BigInteger values.

  Parameters:
    `asn1Bytes` - the ASN.1 encoded bytes
    `size` - size of r and s in bytes
  Returns:
    the XML Signature encoded bytes
  Throws:
    `java.io.IOException` - if the bytes are not encoded correctly
  See Also:
    6.4.1 DSA

### convertDsaXMLDSIGtoASN1

    public static byte[] convertDsaXMLDSIGtoASN1(byte[] xmldsigBytes,
                                                 int size)
                                          throws java.io.IOException

  Converts an XML Signature DSA Value to a ASN.1 DSA value. The JCE DSA Signature algorithm creates ASN.1 encoded (r,s) value pairs (see section 2.2.2 of RFC 3279); the XML Signature requires the core BigInteger values.

  Parameters:
    `xmldsigBytes` - the XML Signature encoded bytes
    `size` - size of r and s in bytes
  Returns:
    the ASN.1 encoded bytes
  Throws:
    `java.io.IOException` - if the bytes are not encoded correctly
  See Also:
    6.4.1 DSA

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD